LPBANNER(1)

NAME
lpbanner, pclbanner, psbanner - printer banners in text, PCL and PostScript

SYNOPSIS
lpbanner [ -l length ] [ -w width ] [ -P printer ] [ -L bannername ] [ -n loginname ] [ -h host ] [ -J jobtitle ] [ -C class ] [ -? option args ] [ all ]

DESCRIPTION
The lpbanner program is used to print a simple banner on a fixed size font printer, the pclbanner program generates a PCL banner and the psbanner program generates a PostScript banner. All information to be printed is passed using command line arguments. In order to be compatible with vintage line printer spoolers, reads a line form standard input, but ignores the information.

OPTIONS

-w width
    Page width in characters (default 132).

-l length
    Page length in lines (default 60).

-P printer
    printer queue for banner information.

-L bannername
    Name used on banner as main name.

-n loginname
    Name used on banner as login name.

-h host
    Name used on banner as host name.

-J jobtitle
    String used on banner as main title.

-C class
    String used on banner as class.

-? value
    All other options and arguments provided by LPRng are ignored.

EXIT STATUS

The following exit values are returned:

zero (0)
    Successful completion.

non-zero (!=0)
    An error occurred.

SEE ALSO

lpd.conf(5), lpc(8), lpd(8), checkpc(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.conf(5), pr(1), lprng_certs(1), lprng_index_certs(1).

AUTHOR
Patrick Powell <papowell@lprng.com>.

HISTORY
LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. The LPRng developer mailing list is lprng-devel@lists.sourceforge.net; subscribe by visiting https://lists.sourceforge.net/lists/listinfo/lprng-devel or sending mail to lprng-request@lists.sourceforge.net with the word subscribe in the body.
The software is available via http://lprng.sourceforge.net